/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package net.sf.xradar;

import java.io.File;
import java.util.Properties;

/**
 * <p>This class is basic bean designed to contained data
 * describing a maven plugin like PMD, Checkstyle...</p>
 * 
 * @author ndox
 *
 */
public class MavenPlugin {
	private boolean enabled = true;

	private String name;
	private String artifactId;
	private String groupId;
	private String version;
	private String goal;
	private String fullGoal;

	private File reportFile = new File("empty"); //FIXME : uggly
	private Properties properties = new Properties(System.getProperties());

	public void prepareFullGoal() {
		fullGoal = getGroupId()+":"+getArtifactId()+":"+getVersion()+":"+getGoal();
	}

	//Getters/Setters
	//TODO find anoter way for prepraring full goal
	public String getFullGoal() {
		this.prepareFullGoal();
		return fullGoal;
	}

	public void setFullGoal(String fullGoal) {
		this.fullGoal = fullGoal;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getGoal() {
		return goal;
	}

	public void setGoal(String goal) {
		this.goal = goal;
	}

	public String getArtifactId() {
		return artifactId;
	}

	public void setArtifactId(String artifactId) {
		this.artifactId = artifactId;
	}

	public Properties getProperties() {
		return properties;
	}

	public void setProperties(Properties properties) {
		this.properties = properties;
	}

	public String getGroupId() {
		return groupId;
	}

	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public File getReportFile() {
		return reportFile;
	}

	public void setReportFile(File reportFile) {
		this.reportFile = reportFile;
	}

	public boolean isEnabled() {
		return enabled;
	}

	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}	
}
