package net.sf.xradar;
/*
* 	Strongly inspired of some code from cedric.munger
*/
import org.apache.maven.embedder.MavenEmbedderLogger;
import org.apache.maven.plugin.logging.Log;

public class XRadarMavenEmbedderLogger implements MavenEmbedderLogger 
{

	private Log logger;
	  
	  public XRadarMavenEmbedderLogger(Log logger) 
	  {
	    super();
	    this.logger = logger;
	  }

	  public void debug(String message) 
	  {
	    logger.debug(message);
	  }

	  public void debug(String message, Throwable throwable) 
	  {
	    logger.debug(message, throwable);
	  }

	  public void error(String message) 
	  {
	    logger.error(message);
	  }

	  public void error(String message, Throwable throwable) 
	  {
	    logger.error(message, throwable);
	  }

	  public void fatalError(String message) 
	  {
	    logger.error(message);
	  }

	  public void fatalError(String message, Throwable throwable) 
	  {
	    logger.error(message, throwable);
	  }
	  
	  public void info(String message) 
	  {
	    logger.info(message);
	  }

	  public void info(String message, Throwable throwable) 
	  {
	    logger.info(message, throwable);
	  }
	  
	  public void warn(String message) {
	    logger.warn(message);
	  }

	  public void warn(String message, Throwable throwable) 
	  {
	    logger.warn(message, throwable);
	  }

	  public int getThreshold() {
	    if ( logger.isDebugEnabled() )
	    {
	    	return LEVEL_DEBUG;
	    }
	    if ( logger.isInfoEnabled() ) 
	    {
	    	return LEVEL_INFO;
	    }
	    if ( logger.isWarnEnabled() ) 
	    {
	    	return LEVEL_WARN;
	    }
	    if ( logger.isErrorEnabled() ) 
	    {
	    	return LEVEL_FATAL;
	    }
	    return LEVEL_DISABLED;
	  }

	  public boolean isDebugEnabled() 
	  {
	    return logger.isDebugEnabled();
	  }

	  public boolean isErrorEnabled() 
	  {
	    return logger.isErrorEnabled();
	  }

	  public boolean isFatalErrorEnabled() 
	  {
	    return logger.isErrorEnabled();
	  }

	  public boolean isInfoEnabled() 
	  {
	    return logger.isInfoEnabled();
	  }

	  public boolean isWarnEnabled() 
	  {
	    return logger.isWarnEnabled();
	  }

	  public void setThreshold(int threshold) 
	  {
	    throw new IllegalArgumentException("Unable to se the Threshold for this logger impl");
	  }
}
