/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package net.sf.xradar.aggregate;

import java.io.File;
import java.util.Iterator;
import java.util.List;

import net.sf.xradar.util.Copy;

import org.apache.maven.project.MavenProject;

/**
 * class that prepare a list of directories from submodule projects
 * to copy the selected files into a destination directory
 * @author Nicolas Dordet
 */
public class PrepareProjectDirectories 
{
	public void copyChildDirectory(List projects,String parentDirectory, String type)
	{
		for ( Iterator i = projects.iterator(); i.hasNext(); )
		{
			MavenProject subProject = (MavenProject) i.next();

			if ( "pom".equals( subProject.getPackaging() ) )
			{
				continue;
			}
			//project.addCompileSourceRoot(subProject.getBuild().getOutputDirectory());
			
			if ("src".equals(type))
			{
				String srcDirectory = subProject.getBuild().getSourceDirectory();
				File parentChildDirectory= new File (parentDirectory+"/"+"src/main/java");
						//+"/"+subProject.getName());
				if (!parentChildDirectory.exists())
					parentChildDirectory.mkdirs();
				new Copy(srcDirectory,parentChildDirectory.getAbsolutePath());

			}
			else if ("class".equals(type))
			{
				
				String classDirectory = subProject.getBuild().getOutputDirectory();
				File parentChildDirectory= new File (parentDirectory+"/"+"classes");
						//+"/"+subProject.getName());
				if (!parentChildDirectory.exists())
					parentChildDirectory.mkdirs();
				new Copy(classDirectory,parentChildDirectory.getAbsolutePath());
			}
			else if ("classTest".equals(type))
			{
				
				String classTestDirectory = subProject.getBuild().getTestOutputDirectory();
				File parentChildDirectory= new File (parentDirectory+"/"+"test-classes");
						//+"/"+subProject.getName());
				if (!parentChildDirectory.exists())
					parentChildDirectory.mkdirs();
				new Copy(classTestDirectory,parentChildDirectory.getAbsolutePath());
			}
			else if ("srcTest".equals(type))
			{
				
				String srcTestDirectory = subProject.getBuild().getTestSourceDirectory();
				File parentChildDirectory= new File (parentDirectory+"/"+"src/test/java" );
						//+ "/"+subProject.getName());
				if (!parentChildDirectory.exists())
					parentChildDirectory.mkdirs();
				new Copy(srcTestDirectory,parentChildDirectory.getAbsolutePath());
			}

		}
		
	}

}
