/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package net.sf.xradar.util;


import java.io.File;

/**
 * 
 * @author Nicolas Dordet
 *
 */
public class Copy {

	String src,dest;
	File DEST,SRC;
	public Copy (String src, String dest)
	{
		this.src=src;
		this.dest=dest;
		this.SRC = new File (src);
		this.DEST = new File (dest);

	
		if (!DEST.exists())
		{
			if (SRC.isDirectory())
			{
				DEST.mkdir();
			}
		}
		if (SRC.isFile())
		{
			copy(SRC, DEST);

		}
		else if (SRC.isDirectory())
		{
			for (File file:SRC.listFiles()){
				new Copy(file.getAbsolutePath(),DEST.getAbsoluteFile()+"/"+file.getName());
			}
		}

	}
	
	/** 
	 * copy source file into destination file
	 * @param source the source file
	 * @param destination the destination file
	 * @return true if ok
	 */
	private boolean copy( File source, File destination )
	{
		boolean result = false;
		
		java.io.FileInputStream sourceFile=null;
		java.io.FileOutputStream destinationFile=null;

		try 
		{
			destination.createNewFile();

			sourceFile = new java.io.FileInputStream(source);
			destinationFile = new java.io.FileOutputStream(destination);

			byte buffer[]=new byte[512*1024];
			int nbLecture;

			while( (nbLecture = sourceFile.read(buffer)) != -1 ) 
			{
				destinationFile.write(buffer, 0, nbLecture);
			}
			
			result = true;
		} 
		catch( java.io.FileNotFoundException f ) 
		{

		} 
		catch( java.io.IOException e ) 
		{

		} 
		finally 
		{
			try
			{
				sourceFile.close();
			} 
			catch(Exception e) 
			{ }
			try 
			{
				destinationFile.close();
			} 
			catch(Exception e) 
			{ }
		}
		return( result );
	} 
}