/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package net.sf.xradar.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;

//FIXME : ugly hack to have a unique junit report.
// maybe make a -prettiest- patch to maven-surefire-report is better.
/**
 * class that create a unique JUnit report
 * @author Nicolas Dordet
 */
public class XRadarMerger 
{
	private static final String XML_HEADER = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>";
	
	/**
	 * 
	 * @param jUnitReportsList the list of jUnit reports
	 * @param jUnitReportFileName the junit report name (default : junit.xml)
	 */
	public void mergeJunit(ArrayList<File> jUnitReportsList, String jUnitReportFileName)
	{

		try {
			
			PrintWriter printWriter = new PrintWriter(jUnitReportFileName);
			printWriter.println(XML_HEADER);
			printWriter.println("<testsuites>");
			
			for (int indexFile=0; indexFile  < jUnitReportsList.size();indexFile++)
			{
				BufferedReader reader = new BufferedReader(new FileReader(jUnitReportsList.get(indexFile)));
				while (true)
				{
					String ligne = reader.readLine();
					if(XML_HEADER.equals(ligne))
					{
						//nothing todo...
					}
					else if(ligne != null && !XML_HEADER.equals(ligne))
					{
						printWriter.println(ligne);
					}
					else
					{
						break;
					}
					
				}
				reader.close();
				
			}
			printWriter.println("</testsuites>");
			printWriter.close();
			
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
	}

}
